# HG changeset patch
# User Stefan Mahr <dac922@gmx.de>
# Date 1376321814 -7200
# Node ID 4a6de8780f46534cdb3e5379ffa8d86dead6b5be
# Parent  251807f3cdc1a321bd5e9d5ef5fdacb5f93291d0
Ignore anything after the continuation marker '...' (bug #38653)

* libinterp/parse-tree/lex.ll: Mark continuation marker '\' as deprecated
  outside of double quoted strings. Modify continuation marker '...' to
  ignore any following text.
* test/line-continue.tst: Test added
* doc/interpreter/plotimages.m, libinterp/corefcn/bsxfun.cc,
  libinterp/corefcn/cellfun.cc, scripts/help/__unimplemented__.m,
  scripts/io/importdata.m, scripts/io/textscan.m,
  scripts/miscellaneous/edit.m, scripts/optimization/fsolve.m,
  scripts/optimization/sqp.m, scripts/plot/__gnuplot_drawnow__.m,
  scripts/plot/private/__marching_cube__.m, scripts/plot/stemleaf.m,
  scripts/polynomial/polyfit.m, scripts/statistics/tests/z_test.m,
  scripts/statistics/tests/z_test_2.m, scripts/testfun/test.m: Replace
  depricated continuation marker '\' with '...'

diff -r 251807f3cdc1 -r 4a6de8780f46 doc/interpreter/plotimages.m
--- a/doc/interpreter/plotimages.m	Mon Aug 12 14:47:21 2013 +0200
+++ b/doc/interpreter/plotimages.m	Mon Aug 12 17:36:54 2013 +0200
@@ -88,7 +88,7 @@
     hold on;
     plot (x,x,"r");
     axis ([0, 3, 0, 1]);
-    text (0.65, 0.6175, ['\leftarrow x = {2/\surd\pi {\fontsize{16}' \
+    text (0.65, 0.6175, ['\leftarrow x = {2/\surd\pi {\fontsize{16}' ...
           '\int_{\fontsize{8}0}^{\fontsize{8}x}} e^{-t^2} dt} = 0.6175']);
     xlabel ("x");
     ylabel ("erf (x)");
diff -r 251807f3cdc1 -r 4a6de8780f46 libinterp/corefcn/bsxfun.cc
--- a/libinterp/corefcn/bsxfun.cc	Mon Aug 12 14:47:21 2013 +0200
+++ b/libinterp/corefcn/bsxfun.cc	Mon Aug 12 17:36:54 2013 +0200
@@ -773,12 +773,12 @@
 %% Test automatic bsxfun
 %
 %!test
-%! funs = {@plus, @minus, @times, @rdivide, @ldivide, @power, @max, @min, \
-%!         @rem, @mod, @atan2, @hypot, @eq, @ne, @lt, @le, @gt, @ge, \
+%! funs = {@plus, @minus, @times, @rdivide, @ldivide, @power, @max, @min, ...
+%!         @rem, @mod, @atan2, @hypot, @eq, @ne, @lt, @le, @gt, @ge, ...
 %!         @and, @or, @xor };
 %!
 %! float_types = {@single, @double};
-%! int_types = {@int8, @int16, @int32, @int64, \
+%! int_types = {@int8, @int16, @int32, @int64, ...
 %!              @uint8, @uint16, @uint32, @uint64};
 %!
 %! x = rand (3) * 10-5;
@@ -792,19 +792,19 @@
 %!       f_type = float_types{j};
 %!       i_type = int_types{k};
 %!
-%!         assert (bsxfun (fun, f_type (x), i_type (y)), \
+%!         assert (bsxfun (fun, f_type (x), i_type (y)), ...
 %!                 fun (f_type(x), i_type (y)));
-%!         assert (bsxfun (fun, f_type (y), i_type (x)), \
+%!         assert (bsxfun (fun, f_type (y), i_type (x)), ...
 %!                 fun (f_type(y), i_type (x)));
 %!
-%!         assert (bsxfun (fun, i_type (x), i_type (y)), \
+%!         assert (bsxfun (fun, i_type (x), i_type (y)), ...
 %!                 fun (i_type (x), i_type (y)));
-%!         assert (bsxfun (fun, i_type (y), i_type (x)), \
+%!         assert (bsxfun (fun, i_type (y), i_type (x)), ...
 %!                 fun (i_type (y), i_type (x)));
 %!
-%!         assert (bsxfun (fun, f_type (x), f_type (y)), \
+%!         assert (bsxfun (fun, f_type (x), f_type (y)), ...
 %!                 fun (f_type (x), f_type (y)));
-%!         assert (bsxfun (fun, f_type(y), f_type(x)), \
+%!         assert (bsxfun (fun, f_type(y), f_type(x)), ...
 %!                 fun (f_type (y), f_type (x)));
 %!     endfor
 %!   endfor
diff -r 251807f3cdc1 -r 4a6de8780f46 libinterp/corefcn/cellfun.cc
--- a/libinterp/corefcn/cellfun.cc	Mon Aug 12 14:47:21 2013 +0200
+++ b/libinterp/corefcn/cellfun.cc	Mon Aug 12 17:36:54 2013 +0200
@@ -816,7 +816,7 @@
 %! A = cellfun (@(x,y,z) x + y + z, {1, 1, 1}, {2, 2, 2}, {3, 4, 5});
 %! assert (A, [6, 7, 8]);
 %!test
-%! A = cellfun (@(x,y,z) x + y + z, {1, 1, 1}, {2, 2, 2}, {3, 4, 5}, \
+%! A = cellfun (@(x,y,z) x + y + z, {1, 1, 1}, {2, 2, 2}, {3, 4, 5}, ...
 %!              "UniformOutput", false);
 %! assert (A, {6, 7, 8});
 %!test %% Two input arguments of different types
@@ -837,20 +837,20 @@
 %! A = cellfun (@(x,y) x == y, {false, true}, {true, true});
 %! assert (A, [false, true]);
 %!test
-%! A = cellfun (@(x,y) x == y, {false; true}, {true; true}, \
+%! A = cellfun (@(x,y) x == y, {false; true}, {true; true}, ...
 %!              "UniformOutput", true);
 %! assert (A, [false; true]);
 %!test
 %! A = cellfun (@(x) x, {false, true; false, true}, "UniformOutput", false);
 %! assert (A, {false, true; false, true});
 %!test %% Three ouptut arguments of same type
-%! [A, B, C] = cellfun (@find, {true, false; false, true}, \
+%! [A, B, C] = cellfun (@find, {true, false; false, true}, ...
 %!                      "UniformOutput", false);
 %! assert (isequal (A, {true, []; [], true}));
 %! assert (isequal (B, {true, []; [], true}));
 %! assert (isequal (C, {true, []; [], true}));
 %!test
-%! A = cellfun (@(x,y) cell2str (x,y), {true}, {true}, \
+%! A = cellfun (@(x,y) cell2str (x,y), {true}, {true}, ...
 %!              "ErrorHandler", @__cellfunerror);
 %! assert (isfield (A, "identifier"), true);
 %! assert (isfield (A, "message"), true);
@@ -858,7 +858,7 @@
 %! assert (isempty (A.message), false);
 %! assert (A.index, 1);
 %!test %% Overwriting setting of "UniformOutput" true
-%! A = cellfun (@(x,y) cell2str (x,y), {true}, {true}, \
+%! A = cellfun (@(x,y) cell2str (x,y), {true}, {true}, ...
 %!              "UniformOutput", true, "ErrorHandler", @__cellfunerror);
 %! assert (isfield (A, "identifier"), true);
 %! assert (isfield (A, "message"), true);
@@ -871,7 +871,7 @@
 %! A = cellfun (@(x,y) x>y, {1.1, 4.2}, {3.1, 2+3*i});
 %! assert (A, [false, true]);
 %!test
-%! A = cellfun (@(x,y) x>y, {1.1, 4.2; 2, 4}, {3.1, 2; 2, 4+2*i}, \
+%! A = cellfun (@(x,y) x>y, {1.1, 4.2; 2, 4}, {3.1, 2; 2, 4+2*i}, ...
 %!              "UniformOutput", true);
 %! assert (A, [false, true; false, false]);
 %!test
@@ -884,7 +884,7 @@
 %! assert (isequal (B, {true, true; [], true}));
 %! assert (isequal (C, {10, 11; [], 12}));
 %!test
-%! A = cellfun (@(x,y) cell2str (x,y), {1.1, 4}, {3.1, 6}, \
+%! A = cellfun (@(x,y) cell2str (x,y), {1.1, 4}, {3.1, 6}, ...
 %!              "ErrorHandler", @__cellfunerror);
 %! B = isfield (A(1), "message") && isfield (A(1), "index");
 %! assert ([(isfield (A(1), "identifier")), (isfield (A(2), "identifier"))], [true, true]);
@@ -893,7 +893,7 @@
 %! assert ([(isempty (A(1).message)), (isempty (A(2).message))], [false, false]);
 %! assert ([A(1).index, A(2).index], [1, 2]);
 %!test %% Overwriting setting of "UniformOutput" true
-%! A = cellfun (@(x,y) cell2str (x,y), {1.1, 4}, {3.1, 6}, \
+%! A = cellfun (@(x,y) cell2str (x,y), {1.1, 4}, {3.1, 6}, ...
 %!              "UniformOutput", true, "ErrorHandler", @__cellfunerror);
 %! B = isfield (A(1), "message") && isfield (A(1), "index");
 %! assert ([(isfield (A(1), "identifier")), (isfield (A(2), "identifier"))], [true, true]);
@@ -912,7 +912,7 @@
 %! A = cellfun (@(x,y) x:y, {"a", "d"}, {"c", "f"}, "UniformOutput", false);
 %! assert (A, {"abc", "def"});
 %!test
-%! A = cellfun (@(x,y) cell2str (x,y), {"a", "d"}, {"c", "f"}, \
+%! A = cellfun (@(x,y) cell2str (x,y), {"a", "d"}, {"c", "f"}, ...
 %!              "ErrorHandler", @__cellfunerror);
 %! assert ([(isfield (A(1), "identifier")), (isfield (A(2), "identifier"))], [true, true]);
 %! assert ([(isfield (A(1), "message")), (isfield (A(2), "message"))], [true, true]);
@@ -920,7 +920,7 @@
 %! assert ([(isempty (A(1).message)), (isempty (A(2).message))], [false, false]);
 %! assert ([A(1).index, A(2).index], [1, 2]);
 %!test %% Overwriting setting of "UniformOutput" true
-%! A = cellfun (@(x,y) cell2str (x,y), {"a", "d"}, {"c", "f"}, \
+%! A = cellfun (@(x,y) cell2str (x,y), {"a", "d"}, {"c", "f"}, ...
 %!              "UniformOutput", true, "ErrorHandler", @__cellfunerror);
 %! assert ([(isfield (A(1), "identifier")), (isfield (A(2), "identifier"))], [true, true]);
 %! assert ([(isfield (A(1), "message")), (isfield (A(2), "message"))], [true, true]);
@@ -938,15 +938,15 @@
 %! A = cellfun (@(x,y) x{1} < y{1}, {{1.1}, {4.2}}, {{3.1}, {2}});
 %! assert (A, [1, 0], 1e-16);
 %!test
-%! A = cellfun (@(x,y) x{1} < y{1}, {{1.1}; {4.2}}, {{3.1}; {2}}, \
+%! A = cellfun (@(x,y) x{1} < y{1}, {{1.1}; {4.2}}, {{3.1}; {2}}, ...
 %!              "UniformOutput", true);
 %! assert (A, [1; 0], 1e-16);
 %!test
-%! A = cellfun (@(x,y) x{1} < y{1}, {{1.1}, {4.2}}, {{3.1}, {2}}, \
+%! A = cellfun (@(x,y) x{1} < y{1}, {{1.1}, {4.2}}, {{3.1}, {2}}, ...
 %!              "UniformOutput", false);
 %! assert (A, {true, false});
 %!test
-%! A = cellfun (@(x,y) mat2str (x,y), {{1.1}, {4.2}}, {{3.1}, {2}}, \
+%! A = cellfun (@(x,y) mat2str (x,y), {{1.1}, {4.2}}, {{3.1}, {2}}, ...
 %!              "ErrorHandler", @__cellfunerror);
 %! assert ([(isfield (A(1), "identifier")), (isfield (A(2), "identifier"))], [true, true]);
 %! assert ([(isfield (A(1), "message")), (isfield (A(2), "message"))], [true, true]);
@@ -954,7 +954,7 @@
 %! assert ([(isempty (A(1).message)), (isempty (A(2).message))], [false, false]);
 %! assert ([A(1).index, A(2).index], [1, 2]);
 %!test %% Overwriting setting of "UniformOutput" true
-%! A = cellfun (@(x,y) mat2str (x,y), {{1.1}, {4.2}}, {{3.1}, {2}}, \
+%! A = cellfun (@(x,y) mat2str (x,y), {{1.1}, {4.2}}, {{3.1}, {2}}, ...
 %!              "UniformOutput", true, "ErrorHandler", @__cellfunerror);
 %! assert ([(isfield (A(1), "identifier")), (isfield (A(2), "identifier"))], [true, true]);
 %! assert ([(isfield (A(1), "message")), (isfield (A(2), "message"))], [true, true]);
@@ -969,17 +969,17 @@
 %! assert (A, true);
 %!test
 %! a = struct ("a", 1, "b", 2);  b = struct ("a", 1, "b", 3);
-%! A = cellfun (@(x,y) (x.a == y.a) && (x.b < y.b) , {a}, {b}, \
+%! A = cellfun (@(x,y) (x.a == y.a) && (x.b < y.b) , {a}, {b}, ...
 %!              "UniformOutput", true);
 %! assert (A, true);
 %!test
 %! a = struct ("a", 1, "b", 2);  b = struct ("a", 1, "b", 3);
-%! A = cellfun (@(x,y) (x.a == y.a) && (x.b < y.b) , {a}, {b}, \
+%! A = cellfun (@(x,y) (x.a == y.a) && (x.b < y.b) , {a}, {b}, ...
 %!              "UniformOutput", false);
 %! assert (A, {true});
 %!test
 %! a = struct ("a", 1, "b", 2);  b = struct ("a", 1, "b", 3);
-%! A = cellfun (@(x,y) cell2str (x.a, y.a), {a}, {b}, \
+%! A = cellfun (@(x,y) cell2str (x.a, y.a), {a}, {b}, ...
 %!              "ErrorHandler", @__cellfunerror);
 %! assert (isfield (A, "identifier"), true);
 %! assert (isfield (A, "message"), true);
@@ -988,7 +988,7 @@
 %! assert (A.index, 1);
 %!test %% Overwriting setting of "UniformOutput" true
 %! a = struct ("a", 1, "b", 2);  b = struct ("a", 1, "b", 3);
-%! A = cellfun (@(x,y) cell2str (x.a, y.a), {a}, {b}, \
+%! A = cellfun (@(x,y) cell2str (x.a, y.a), {a}, {b}, ...
 %!              "UniformOutput", true, "ErrorHandler", @__cellfunerror);
 %! assert (isfield (A, "identifier"), true);
 %! assert (isfield (A, "message"), true);
@@ -1559,7 +1559,7 @@
 %! assert (isequal (B, {true, []; [], true}));
 %! assert (isequal (C, {true, []; [], true}));
 %!test
-%! A = arrayfun (@(x,y) array2str (x,y), true, true, \
+%! A = arrayfun (@(x,y) array2str (x,y), true, true, ...
 %!               "ErrorHandler", @__arrayfunerror);
 %! assert (isfield (A, "identifier"), true);
 %! assert (isfield (A, "message"), true);
@@ -1567,7 +1567,7 @@
 %! assert (isempty (A.message), false);
 %! assert (A.index, 1);
 %!test %% Overwriting setting of "UniformOutput" true
-%! A = arrayfun (@(x,y) array2str (x,y), true, true, "UniformOutput", true, \
+%! A = arrayfun (@(x,y) array2str (x,y), true, true, "UniformOutput", true, ...
 %!               "ErrorHandler", @__arrayfunerror);
 %! assert (isfield (A, "identifier"), true);
 %! assert (isfield (A, "message"), true);
@@ -1592,7 +1592,7 @@
 %! assert (isequal (B, {true, true; [], true}));
 %! assert (isequal (C, {10, 11; [], 12}));
 %!test
-%! A = arrayfun (@(x,y) array2str (x,y), {1.1, 4}, {3.1, 6}, \
+%! A = arrayfun (@(x,y) array2str (x,y), {1.1, 4}, {3.1, 6}, ...
 %!               "ErrorHandler", @__arrayfunerror);
 %! B = isfield (A(1), "message") && isfield (A(1), "index");
 %! assert ([(isfield (A(1), "identifier")), (isfield (A(2), "identifier"))], [true, true]);
@@ -1601,7 +1601,7 @@
 %! assert ([(isempty (A(1).message)), (isempty (A(2).message))], [false, false]);
 %! assert ([A(1).index, A(2).index], [1, 2]);
 %!test %% Overwriting setting of "UniformOutput" true
-%! A = arrayfun (@(x,y) array2str (x,y), {1.1, 4}, {3.1, 6}, \
+%! A = arrayfun (@(x,y) array2str (x,y), {1.1, 4}, {3.1, 6}, ...
 %!               "UniformOutput", true, "ErrorHandler", @__arrayfunerror);
 %! B = isfield (A(1), "message") && isfield (A(1), "index");
 %! assert ([(isfield (A(1), "identifier")), (isfield (A(2), "identifier"))], [true, true]);
@@ -1621,7 +1621,7 @@
 %! A = arrayfun (@(x,y) x:y, ["a", "d"], ["c", "f"], "UniformOutput", false);
 %! assert (A, {"abc", "def"});
 %!test
-%! A = arrayfun (@(x,y) cell2str (x,y), ["a", "d"], ["c", "f"], \
+%! A = arrayfun (@(x,y) cell2str (x,y), ["a", "d"], ["c", "f"], ...
 %!               "ErrorHandler", @__arrayfunerror);
 %! B = isfield (A(1), "identifier") && isfield (A(1), "message") && isfield (A(1), "index");
 %! assert (B, true);
@@ -1647,7 +1647,7 @@
 %! assert (isempty (A.message), false);
 %! assert (A.index, 1);
 %!test %% Overwriting setting of "UniformOutput" true
-%! A = arrayfun (@(x) mat2str(x), "a", "UniformOutput", true, \
+%! A = arrayfun (@(x) mat2str(x), "a", "UniformOutput", true, ...
 %!               "ErrorHandler", @__arrayfunerror);
 %! assert (isfield (A, "identifier"), true);
 %! assert (isfield (A, "message"), true);
@@ -1673,7 +1673,7 @@
 %! assert ([(isempty (A(1).message)), (isempty (A(2).message))], [false, false]);
 %! assert ([A(1).index, A(2).index], [1, 2]);
 %!test
-%! A = arrayfun (@(x,y) num2str (x,y), {1.1, 4.2}, {3.1, 2}, \
+%! A = arrayfun (@(x,y) num2str (x,y), {1.1, 4.2}, {3.1, 2}, ...
 %!               "UniformOutput", true, "ErrorHandler", @__arrayfunerror);
 %! assert ([(isfield (A(1), "identifier")), (isfield (A(2), "identifier"))], [true, true]);
 %! assert ([(isfield (A(1), "message")), (isfield (A(2), "message"))], [true, true]);
diff -r 251807f3cdc1 -r 4a6de8780f46 libinterp/parse-tree/lex.ll
--- a/libinterp/parse-tree/lex.ll	Mon Aug 12 14:47:21 2013 +0200
+++ b/libinterp/parse-tree/lex.ll	Mon Aug 12 17:36:54 2013 +0200
@@ -250,7 +250,7 @@
 D       [0-9]
 S       [ \t]
 NL      ((\n)|(\r)|(\r\n))
-CONT    ((\.\.\.)|(\\))
+CONT    (\.\.\.)
 Im      [iIjJ]
 CCHAR   [#%]
 IDENT   ([_$a-zA-Z][_$a-zA-Z0-9]*)
@@ -949,9 +949,26 @@
 // Continuation lines.  Allow comments after continuations.
 %}
 
-{CONT}{S}*{NL} |
-{CONT}{S}*{CCHAR}.*{NL} {
-    curr_lexer->lexer_debug ("{CONT}{S}*{NL}|{CONT}{S}*{CCHAR}.*{NL}");
+{CONT}.*{NL} {
+    curr_lexer->lexer_debug ("{CONT}.*{NL}");
+
+    curr_lexer->handle_continuation ();
+  }
+
+\\{S}*{NL} |
+\\{S}*{CCHAR}.*{NL} {
+    curr_lexer->lexer_debug ("\\\\{S}*{NL}|\\\\{S}*{CCHAR}.*{NL}");
+
+    static const char *msg = "using continuation marker \\\\ outside of double quoted strings is deprecated and will be removed in a future version of Octave";
+
+    std::string nm = curr_lexer->fcn_file_full_name;
+
+    if (nm.empty ())
+      warning_with_id ("Octave:deprecated-syntax", "%s", msg);
+    else
+      warning_with_id ("Octave:deprecated-syntax",
+                       "%s; near line %d of file '%s'", msg,
+                       curr_lexer->input_line_number, nm.c_str ());
 
     curr_lexer->handle_continuation ();
   }
diff -r 251807f3cdc1 -r 4a6de8780f46 scripts/help/__unimplemented__.m
--- a/scripts/help/__unimplemented__.m	Mon Aug 12 14:47:21 2013 +0200
+++ b/scripts/help/__unimplemented__.m	Mon Aug 12 17:36:54 2013 +0200
@@ -41,25 +41,25 @@
   ## Some smarter cases, add more as needed.
   switch (fcn)
     case {"avifile", "aviinfo", "aviread"}
-      txt = ["Basic video file support is provided in the video package.  ", \
+      txt = ["Basic video file support is provided in the video package.  ", ...
              "See @url{http://octave.sf.net/video/}."];
 
     case "gsvd"
-      txt = ["gsvd is not currently part of core Octave.  ", \
-             "See the linear-algebra package at ", \
+      txt = ["gsvd is not currently part of core Octave.  ", ...
+             "See the linear-algebra package at ", ...
              "@url{http://octave.sourceforge.net/linear-algebra/}."];
 
     case "funm"
-      txt = ["funm is not currently part of core Octave.  ", \
-             "See the linear-algebra package at ", \
+      txt = ["funm is not currently part of core Octave.  ", ...
+             "See the linear-algebra package at ", ...
              "@url{http://octave.sourceforge.net/linear-algebra/}."];
 
     case "griddedInterpolant"
-      txt = ["griddedInterpolant is not implemented.  ", \
+      txt = ["griddedInterpolant is not implemented.  ", ...
              "Consider using griddata."];
 
     case "integral"
-      txt = ["Octave provides many routines for 1-D numerical integration.  ", \
+      txt = ["Octave provides many routines for 1-D numerical integration.  ", ...
              "Consider quadcc, quad, quadv, quadl, quadgk."];
 
     case "integral2"
@@ -69,32 +69,32 @@
       txt = ["integral3 is not implemented.  Consider using triplequad"];
 
     case "linprog"
-      txt = ["Octave does not currently provide linprog.  ", \
-             "Linear programming problems may be solved using @code{glpk}.  ",\
+      txt = ["Octave does not currently provide linprog.  ", ...
+             "Linear programming problems may be solved using @code{glpk}.  ", ...
              "Try @code{help glpk} for more info."];
 
     case "matlabrc"
-      txt = ["matlabrc is not implemented.  ", \
+      txt = ["matlabrc is not implemented.  ", ...
              'Octave uses the file ".octaverc" instead.'];
 
-    case {"ode113", "ode15i", "ode15s", "ode23", "ode23s", "ode23t", \
+    case {"ode113", "ode15i", "ode15s", "ode23", "ode23s", "ode23t", ...
           "ode23tb", "ode45", "odeget", "odeset"}
-      txt = ["Octave provides lsode for solving differential equations.  ", \
-             "For more information try @code{help lsode}.  ", \
-             "Matlab-compatible ODE functions are provided by the odepkg ", \
+      txt = ["Octave provides lsode for solving differential equations.  ", ...
+             "For more information try @code{help lsode}.  ", ...
+             "Matlab-compatible ODE functions are provided by the odepkg ", ...
              "package.  See @url{http://octave.sourceforge.net/odepkg/}."];
 
     case "startup"
-      txt = ["startup is not implemented.  ", \
+      txt = ["startup is not implemented.  ", ...
              'Octave uses the file ".octaverc" instead.'];
 
     case "quad2d"
       txt = ["quad2d is not implemented.  Consider using dblquad."];
 
     case {"xlsread", "xlsfinfo", "xlswrite", "wk1read", "wk1finfo", "wk1write"}
-      txt = ["Functions for spreadsheet style I/O ", \
-             "(.xls .xlsx .sxc .ods .dbf .wk1 etc.) " ,  \
-             "are provided in the io package. ", \
+      txt = ["Functions for spreadsheet style I/O ", ...
+             "(.xls .xlsx .sxc .ods .dbf .wk1 etc.) " , ...
+             "are provided in the io package. ", ...
              "See @url{http://octave.sf.net/io/}."];
 
     otherwise
@@ -107,8 +107,8 @@
   endswitch
 
   if (is_matlab_function)
-    txt = [txt, "\n\n@noindent\nPlease read ", \
-           "@url{http://www.octave.org/missing.html} to learn how ", \
+    txt = [txt, "\n\n@noindent\nPlease read ", ...
+           "@url{http://www.octave.org/missing.html} to learn how ", ...
            "you can contribute missing functionality."];
     txt = __makeinfo__ (txt);
   endif
diff -r 251807f3cdc1 -r 4a6de8780f46 scripts/io/importdata.m
--- a/scripts/io/importdata.m	Mon Aug 12 14:47:21 2013 +0200
+++ b/scripts/io/importdata.m	Mon Aug 12 17:36:54 2013 +0200
@@ -125,8 +125,8 @@
       error ("importdata: not implemented for file format %s", fileExt);
     case ".avi"
       error ("importdata: not implemented for file format %s", fileExt);
-    case {".bmp", ".cur", ".gif", ".hdf", ".ico", ".jpe", ".jpeg", ".jpg", \
-          ".pbm", ".pcx", ".pgm", ".png", ".pnm", ".ppm", ".ras", \
+    case {".bmp", ".cur", ".gif", ".hdf", ".ico", ".jpe", ".jpeg", ".jpg", ...
+          ".pbm", ".pcx", ".pgm", ".png", ".pnm", ".ppm", ".ras", ...
           ".tif", ".tiff", ".xwd"}
       delimiter  = NaN;
       header_rows = 0;
@@ -152,7 +152,7 @@
       [output.data, output.fs] = wavread (fname);
     otherwise
       ## Assume the file is in ascii format.
-      [output, delimiter, header_rows]  = \
+      [output, delimiter, header_rows]  = ...
           importdata_ascii (fname, delimiter, header_rows);
   endswitch
 
@@ -179,7 +179,7 @@
 
 ########################################
 
-function [output, delimiter, header_rows] = \
+function [output, delimiter, header_rows] = ...
       importdata_ascii (fname, delimiter, header_rows)
 
   ## Define the fields in the output structure so that the order will be
@@ -239,7 +239,7 @@
   ## get out of bounds.
   for i=length (file_content_rows):-1:(header_rows + 1)
     if (length (file_content_rows{i}) < 1)
-      file_content_rows = [file_content_rows(1:i-1), \
+      file_content_rows = [file_content_rows(1:i-1), ...
                            file_content_rows(i+1:length(file_content_rows))];
     endif
   endfor
@@ -353,7 +353,7 @@
 %!test
 %! # Header
 %! A.data = [3.1 -7.2 0; 0.012 6.5 128];
-%! A.textdata = {"This is a header row."; \
+%! A.textdata = {"This is a header row."; ...
 %!               "this row does not contain any data, but the next one does."};
 %! fn  = tmpnam ();
 %! fid = fopen (fn, "w");
diff -r 251807f3cdc1 -r 4a6de8780f46 scripts/io/textscan.m
--- a/scripts/io/textscan.m	Mon Aug 12 14:47:21 2013 +0200
+++ b/scripts/io/textscan.m	Mon Aug 12 17:36:54 2013 +0200
@@ -276,7 +276,7 @@
         data_size = nblks * BUFLENGTH + count;
       else
         ## Compute data size to read incl complete EOL
-        data_size = (nblks * BUFLENGTH) + eoi(end + min (nlines, n_eoi) - n_eoi) \
+        data_size = (nblks * BUFLENGTH) + eoi(end + min (nlines, n_eoi) - n_eoi) ...
                     + l_eol_char - 1;
       endif
       fseek (fid, st_pos, "bof");
diff -r 251807f3cdc1 -r 4a6de8780f46 scripts/miscellaneous/edit.m
--- a/scripts/miscellaneous/edit.m	Mon Aug 12 14:47:21 2013 +0200
+++ b/scripts/miscellaneous/edit.m	Mon Aug 12 17:36:54 2013 +0200
@@ -468,11 +468,11 @@
         else
           code = " ";
         endif
-        body = ["#include <octave/oct.h>\n\n",               \
-                "DEFUN_DLD(" name ", args, nargout, \"\\\n", \
-                name, "\\n\\\n\")\n{\n",                     \
-                "  octave_value_list retval;\n",             \
-                "  int nargin = args.length ();\n\n",        \
+        body = ["#include <octave/oct.h>\n\n",               ...
+                "DEFUN_DLD(" name ", args, nargout, \"\\\n", ...
+                name, "\\n\\\n\")\n{\n",                     ...
+                "  octave_value_list retval;\n",             ...
+                "  int nargin = args.length ();\n\n",        ...
                 code, "\n  return retval;\n}\n"];
 
         text = [comment, body];
@@ -484,15 +484,15 @@
           body = ["function [retval] = " name " ()\n\nendfunction\n"];
         endif
         if (isempty (head))
-          comment = ["## -*- texinfo -*- \n## @deftypefn {Function File} " \
-                     "{@var{retval} =} " name " (@var{x}, @var{y})\n##\n"  \
-                     "## @seealso{}\n## @end deftypefn\n\n"                \
+          comment = ["## -*- texinfo -*- \n## @deftypefn {Function File} " ...
+                     "{@var{retval} =} " name " (@var{x}, @var{y})\n##\n"  ...
+                     "## @seealso{}\n## @end deftypefn\n\n"                ...
                      "## " strrep(tail, "\n", "\n## ") "\n\n"];
         else
-          comment = ["## " strrep(head,"\n","\n## ") "\n\n"                \
-                     "## -*- texinfo -*- \n## @deftypefn {Function File} " \
-                     "{@var{retval} =} " name " (@var{x} @var{y})\n##\n"   \
-                     "## @seealso{}\n## @end deftypefn\n\n"                \
+          comment = ["## " strrep(head,"\n","\n## ") "\n\n"                ...
+                     "## -*- texinfo -*- \n## @deftypefn {Function File} " ...
+                     "{@var{retval} =} " name " (@var{x} @var{y})\n##\n"   ...
+                     "## @seealso{}\n## @end deftypefn\n\n"                ...
                      "## " strrep(tail, "\n", "\n## ") "\n\n"];
         endif
         text = [comment, body];
diff -r 251807f3cdc1 -r 4a6de8780f46 scripts/optimization/fsolve.m
--- a/scripts/optimization/fsolve.m	Mon Aug 12 14:47:21 2013 +0200
+++ b/scripts/optimization/fsolve.m	Mon Aug 12 17:36:54 2013 +0200
@@ -134,7 +134,7 @@
 
   ## Get default options if requested.
   if (nargin == 1 && ischar (fcn) && strcmp (fcn, 'defaults'))
-    x = optimset ("MaxIter", 400, "MaxFunEvals", Inf, \
+    x = optimset ("MaxIter", 400, "MaxFunEvals", Inf, ...
     "Jacobian", "off", "TolX", 1e-7, "TolFun", 1e-7,
     "OutputFcn", [], "Updating", "on", "FunValCheck", "off",
     "ComplexEqn", "off", "FinDiffType", "central",
diff -r 251807f3cdc1 -r 4a6de8780f46 scripts/optimization/sqp.m
--- a/scripts/optimization/sqp.m	Mon Aug 12 14:47:21 2013 +0200
+++ b/scripts/optimization/sqp.m	Mon Aug 12 17:36:54 2013 +0200
@@ -425,8 +425,8 @@
 
     ## Choose mu such that p is a descent direction for the chosen
     ## merit function phi.
-    [x_new, alpha, obj_new, globals] = \
-        linesearch_L1 (x, p, obj_fun, obj_grd, ce_fun, ci_fun, lambda, \
+    [x_new, alpha, obj_new, globals] = ...
+        linesearch_L1 (x, p, obj_fun, obj_grd, ce_fun, ci_fun, lambda, ...
                        obj, globals);
 
     ## Evaluate objective function, constraints, and gradients at x_new.
@@ -520,7 +520,7 @@
 endfunction
 
 
-function [merit, obj, globals] = phi_L1 (obj, obj_fun, ce_fun, ci_fun, \
+function [merit, obj, globals] = phi_L1 (obj, obj_fun, ce_fun, ci_fun, ...
                                          x, mu, globals)
 
   ce = feval (ce_fun, x);
@@ -545,8 +545,8 @@
 endfunction
 
 
-function [x_new, alpha, obj, globals] = \
-      linesearch_L1 (x, p, obj_fun, obj_grd, ce_fun, ci_fun, lambda, \
+function [x_new, alpha, obj, globals] = ...
+      linesearch_L1 (x, p, obj_fun, obj_grd, ce_fun, ci_fun, lambda, ...
                      obj, globals)
 
   ## Choose parameters
@@ -570,7 +570,7 @@
   c = feval (obj_grd, x);
   ce = feval (ce_fun, x);
 
-  [phi_x_mu, obj, globals] = phi_L1 (obj, obj_fun, ce_fun, ci_fun, x, \
+  [phi_x_mu, obj, globals] = phi_L1 (obj, obj_fun, ce_fun, ci_fun, x, ...
                                      mu, globals);
 
   D_phi_x_mu = c' * p;
@@ -584,7 +584,7 @@
   endif
 
   while (1)
-    [p1, obj, globals] = phi_L1 ([], obj_fun, ce_fun, ci_fun, \
+    [p1, obj, globals] = phi_L1 ([], obj_fun, ce_fun, ci_fun, ...
                                  x+alpha*p, mu, globals);
     p2 = phi_x_mu+eta*alpha*D_phi_x_mu;
     if (p1 > p2)
diff -r 251807f3cdc1 -r 4a6de8780f46 scripts/plot/__gnuplot_drawnow__.m
--- a/scripts/plot/__gnuplot_drawnow__.m	Mon Aug 12 14:47:21 2013 +0200
+++ b/scripts/plot/__gnuplot_drawnow__.m	Mon Aug 12 17:36:54 2013 +0200
@@ -296,9 +296,9 @@
     if (! __gnuplot_has_feature__ ("has_termoption_dashed"))
       ## If "set termoption dashed" isn't available add "dashed" option
       ## to the "set terminal ..." command, if it is supported.
-      if (any (strcmp (term, {"aqua", "cgm", "eepic", "emf", "epslatex", \
-                              "fig", "pcl5", "mp", "next", "openstep", "pdf", \
-                              "pdfcairo", "pngcairo", "postscript", \
+      if (any (strcmp (term, {"aqua", "cgm", "eepic", "emf", "epslatex", ...
+                              "fig", "pcl5", "mp", "next", "openstep", "pdf", ...
+                              "pdfcairo", "pngcairo", "postscript", ...
                               "pslatex", "pstext", "svg", "tgif", "x11"})))
         term_str = [term_str " dashed"];
       endif
diff -r 251807f3cdc1 -r 4a6de8780f46 scripts/plot/private/__marching_cube__.m
--- a/scripts/plot/private/__marching_cube__.m	Mon Aug 12 14:47:21 2013 +0200
+++ b/scripts/plot/private/__marching_cube__.m	Mon Aug 12 17:36:54 2013 +0200
@@ -66,7 +66,7 @@
 ## @example
 ## @group
 ## figure (); view (-38, 20);
-## pa = patch ("Faces", t, "Vertices", p, "FaceVertexCData", p, \
+## pa = patch ("Faces", t, "Vertices", p, "FaceVertexCData", p, ...
 ##             "FaceColor", "interp", "EdgeColor", "none");
 ##
 ## ## Revert normals
diff -r 251807f3cdc1 -r 4a6de8780f46 scripts/plot/stemleaf.m
--- a/scripts/plot/stemleaf.m	Mon Aug 12 14:47:21 2013 +0200
+++ b/scripts/plot/stemleaf.m	Mon Aug 12 17:36:54 2013 +0200
@@ -336,12 +336,12 @@
 
 %!test
 %! ## test minus to plus
-%! x = [-22 12 -28 52  39 -2 12 10 11 11 42 38 44 18 44 37 113 124 37 48 127  \
-%!      36 29 31 125 139 131 115 105 132 104 123 35 113 122 42 117 119 58 109 \
-%!      23 105 63 27 44 105 99 41 128 121 116 125 32 61 37 127 29 113 121 58  \
-%!      114 126 53 114 96 25 109 7 31 141 46 -13 71 43 117 116 27 7 68 40 31  \
-%!      115 124 42 128 52 71 118 117 38 27 106 33 117 116 111 40 119 47 105 57\
-%!      122 109 124 115 43 120 43 27 27 18 28 48 125 107 114 34 133 45 120 30 \
+%! x = [-22 12 -28 52  39 -2 12 10 11 11 42 38 44 18 44 37 113 124 37 48 127   ...
+%!      36 29 31 125 139 131 115 105 132 104 123 35 113 122 42 117 119 58 109  ...
+%!      23 105 63 27 44 105 99 41 128 121 116 125 32 61 37 127 29 113 121 58   ...
+%!      114 126 53 114 96 25 109 7 31 141 46 -13 71 43 117 116 27 7 68 40 31   ...
+%!      115 124 42 128 52 71 118 117 38 27 106 33 117 116 111 40 119 47 105 57 ...
+%!      122 109 124 115 43 120 43 27 27 18 28 48 125 107 114 34 133 45 120 30  ...
 %!      127 31 116 146 21 23 30 10 20 21 30 0 100 110 1 20 0];
 %! x = sort (x);
 %! rexp = char (
diff -r 251807f3cdc1 -r 4a6de8780f46 scripts/polynomial/polyfit.m
--- a/scripts/polynomial/polyfit.m	Mon Aug 12 14:47:21 2013 +0200
+++ b/scripts/polynomial/polyfit.m	Mon Aug 12 17:36:54 2013 +0200
@@ -171,10 +171,10 @@
 ## variable is not normalized properly.
 ## Also check the usage of 2nd & 3rd output arguments.
 %!test
-%! x = [ -1196.4, -1195.2, -1194, -1192.8, -1191.6, -1190.4, -1189.2, -1188, \
+%! x = [ -1196.4, -1195.2, -1194, -1192.8, -1191.6, -1190.4, -1189.2, -1188, ...
 %!       -1186.8, -1185.6, -1184.4, -1183.2, -1182];
-%! y = [ 315571.7086, 315575.9618, 315579.4195, 315582.6206, 315585.4966,    \
-%!       315588.3172, 315590.9326, 315593.5934, 315596.0455, 315598.4201,    \
+%! y = [ 315571.7086, 315575.9618, 315579.4195, 315582.6206, 315585.4966, ...
+%!       315588.3172, 315590.9326, 315593.5934, 315596.0455, 315598.4201, ...
 %!       315600.7143, 315602.9508, 315605.1765 ];
 %! [p1, s1] = polyfit (x, y, 10);
 %! [p2, s2, mu] = polyfit (x, y, 10);
diff -r 251807f3cdc1 -r 4a6de8780f46 scripts/statistics/tests/z_test.m
--- a/scripts/statistics/tests/z_test.m	Mon Aug 12 14:47:21 2013 +0200
+++ b/scripts/statistics/tests/z_test.m	Mon Aug 12 17:36:54 2013 +0200
@@ -78,8 +78,8 @@
   endif
 
   if (nargout == 0)
-    s = ["Z-test of mean(x) == %g against mean(x) %s %g,\n", \
-         "with known var(x) == %g:\n",                       \
+    s = ["Z-test of mean(x) == %g against mean(x) %s %g,\n", ...
+         "with known var(x) == %g:\n",                       ...
          "  pval = %g\n");
     printf (s, m, alt, m, v, pval);
   endif
diff -r 251807f3cdc1 -r 4a6de8780f46 scripts/statistics/tests/z_test_2.m
--- a/scripts/statistics/tests/z_test_2.m	Mon Aug 12 14:47:21 2013 +0200
+++ b/scripts/statistics/tests/z_test_2.m	Mon Aug 12 17:36:54 2013 +0200
@@ -78,9 +78,9 @@
   endif
 
   if (nargout == 0)
-    s = ["Two-sample Z-test of mean(x) == mean(y) against ", \
-         "mean(x) %s mean(y),\n",                            \
-         "with known var(x) == %g and var(y) == %g:\n",      \
+    s = ["Two-sample Z-test of mean(x) == mean(y) against ", ...
+         "mean(x) %s mean(y),\n",                            ...
+         "with known var(x) == %g and var(y) == %g:\n",      ...
          "  pval = %g\n"];
     printf (s, alt, v_x, v_y, pval);
   endif
diff -r 251807f3cdc1 -r 4a6de8780f46 scripts/testfun/test.m
--- a/scripts/testfun/test.m	Mon Aug 12 14:47:21 2013 +0200
+++ b/scripts/testfun/test.m	Mon Aug 12 17:36:54 2013 +0200
@@ -434,7 +434,7 @@
             endif
             warning (__warnstate.state, "quiet");
             if (isempty (__err))
-              __msg = sprintf (["%swarning failed.\n" \
+              __msg = sprintf (["%swarning failed.\n" ...
                                 "Expected %s but got no warning\n"],
                                __signal_fail, __patstr);
             elseif (__mismatch)
@@ -455,7 +455,7 @@
           endif
           warning (__warnstate.state, "quiet");
           if (__warning)
-            __msg = sprintf (["%swarning failed.\n" \
+            __msg = sprintf (["%swarning failed.\n" ...
                               "Expected warning %s but got error <%s>\n"],
                              __signal_fail, __patstr, __err);
           elseif (__mismatch)
diff -r 251807f3cdc1 -r 4a6de8780f46 test/line-continue.tst
--- a/test/line-continue.tst	Mon Aug 12 14:47:21 2013 +0200
+++ b/test/line-continue.tst	Mon Aug 12 17:36:54 2013 +0200
@@ -35,7 +35,7 @@
 %! assert (y, x);
 
 %!assert (1 + ...
-%! 2 - \# comments here ok
+%! 2 - \# comments here ok (deprecated)
 %! 3 / ... # comments here ok
 %! -1,6);
 
@@ -43,7 +43,7 @@
 %!                b,  ...
 %!                c,  ...   % comments ok
 %!                x,  # continuation characters not required in parens
-%!                y,  \# but they should work too.
+%!                y,  \# but they should work too. (deprecated)
 %!                z)
 %!
 %!  y = 1;
@@ -77,3 +77,8 @@
 %! y = [1,2];
 %! assert  (y, x);
 
+%!test
+%! x = [ 1 , ...anything after the ... is ignored
+%! 2];
+%! y = [1,2];
+%! assert  (y, x);
